Ikonboard < 3.1.3 ikonboard.cgi Multiple Parameter SQL Injection

High Nessus Network Monitor Plugin ID 2462

Synopsis

The remote web server contains a script that is vulnerable to a SQL injection attack.

Description

The remote host appears to be running Ikonboard, a bulletin board service implemented in Perl. This version is reported vulnerable to a SQL injection vulnerability. An attacker may gain access to unauthorized information or may steal authentication credentials by sending malformed string to ikonboard.cgi.

Solution

Upgrade to Ikonboard 3.1.3 or higher.

Plugin Details

Severity: High

ID: 2462

Family: CGI

Published: 2004/12/16

Modified: 2018/07/11

Dependencies: 1442

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

CVSSv3

Base Score: 7.3

Temporal Score: 7

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:H/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:ikonboard.com:ikonboard

Reference Information

CVE: CVE-2004-1406

BID: 11982